Skip to main content
GET
/
open-api
/
v1.0
/
donations
/
{donationId}
Get donation by id
curl --request GET \
  --url https://api.fourthwall.com/open-api/v1.0/donations/{donationId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "don_Kpcjx4HIQ1e4bTIOjX9CsA",
  "shopId": "sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb",
  "status": "OPEN",
  "email": "supporter@fourthwall.com",
  "amounts": {
    "total": {
      "value": 10,
      "currency": "USD"
    }
  },
  "createdAt": "2020-08-13T09:05:36.939Z",
  "updatedAt": "2020-08-13T09:05:36.939Z",
  "username": "Johnny123",
  "message": "Sample message"
}
OAuth scope: donation_readAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

donationId
string
required

Response

OK

id
string
required
Example:

"don_Kpcjx4HIQ1e4bTIOjX9CsA"

shopId
string
required
Example:

"sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb"

status
enum<string>
required
Available options:
OPEN,
COMPLETED,
ABANDONED,
CANCELLED,
FAILED
email
string
required
Example:

"supporter@fourthwall.com"

amounts
Amounts · object
required
createdAt
string<date-time>
required
Example:

"2020-08-13T09:05:36.939Z"

updatedAt
string<date-time>
required
Example:

"2020-08-13T09:05:36.939Z"

username
string
Example:

"Johnny123"

message
string
Example:

"Sample message"